core.node.services / NodeInterestRates / FixContainer

# FixContainer

`class FixContainer`

Fix container, for every fix name & date pair stores a tenor to interest rate map - InterpolatingRateMap

### Constructors

<init> | `FixContainer(fixes: List<Fix>, factory: InterpolatorFactory = CubicSplineInterpolator.Factory)` Fix container, for every fix name & date pair stores a tenor to interest rate map - InterpolatingRateMap

### Properties

factory | `val factory: InterpolatorFactory`
fixes | `val fixes: List<Fix>`
size | `val size: Int`

### Functions

get | `operator fun get(fixOf: FixOf): Fix?`